Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Export charge records in bulk to CSV
cURL
curl --request GET \ --url https://api.hit-pay.com/v1/charges/export \ --header 'X-BUSINESS-API-KEY: <x-business-api-key>'
import requests url = "https://api.hit-pay.com/v1/charges/export" headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}}; fetch('https://api.hit-pay.com/v1/charges/export', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hit-pay.com/v1/charges/export", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-BUSINESS-API-KEY: <x-business-api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.hit-pay.com/v1/charges/export" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-BUSINESS-API-KEY", "<x-business-api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.hit-pay.com/v1/charges/export") .header("X-BUSINESS-API-KEY", "<x-business-api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.hit-pay.com/v1/charges/export") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-BUSINESS-API-KEY"] = '<x-business-api-key>' response = http.request(request) puts response.read_body
This response has no body data.
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
The order version.
Search for fields: amount ,created_at ,id remark, customer_name
It's optional field and it's charge_id
The payment methods: card, alipay, paypal_card.. etc.
The statuses are in "completed" , "pending", "sent", "draft", "expired"
The from of created order
The To of created order
If you want to display more charge and products objects. Example: charges,products
200
Was this page helpful?